var err = initInstall("Banner Blind", "/Zuardi/bannerblind", "0.9.0.20020711");

logComment("initInstall: " + err);

err = addFile("Banner Blind",         // displayName from contents.rdf
              "bannerblind.jar",      // jar source
              getFolder("Chrome"),    // target folder
              "");                    // target subdir

if ( err == SUCCESS ) {
  registerChrome(CONTENT | DELAYED_CHROME, getFolder("Chrome", "bannerblind.jar"), "content/");
  registerChrome(LOCALE | DELAYED_CHROME,  getFolder("Chrome", "bannerblind.jar"), "locale/en-US/");
  registerChrome(LOCALE | DELAYED_CHROME,  getFolder("Chrome", "bannerblind.jar"), "locale/zh-TW/");
  registerChrome(LOCALE | DELAYED_CHROME,  getFolder("Chrome", "bannerblind.jar"), "locale/zh-CN/");
  registerChrome(LOCALE | DELAYED_CHROME,  getFolder("Chrome", "bannerblind.jar"), "locale/pt-BR/");
  registerChrome(LOCALE | DELAYED_CHROME,  getFolder("Chrome", "bannerblind.jar"), "locale/fr-FR/");
  registerChrome(LOCALE | DELAYED_CHROME,  getFolder("Chrome", "bannerblind.jar"), "locale/de-AT/");
  err = getLastError();
  if ( err == SUCCESS ) {
	err = performInstall();
	if (err == SUCCESS) alert("BannerBlind has been succesfully installed. Restart the browser to finish the installation");
  }
} else

if (err != SUCCESS) {
alert(err);
	alert("The installation failed.");
	cancelInstall(err);
}